#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.4
visibility:           public
id:                   persistent-test-2.13.0.4-If6UVAKBNDN4VRqYKVrfSB
key:                  persistent-test-2.13.0.4-If6UVAKBNDN4VRqYKVrfSB
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  6152981c54da363158fb3ac99eca9b80
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.0.4-If6UVAKBNDN4VRqYKVrfSB
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-5toH1Vv8ZxxIieqfaLz1c3
    aeson-1.5.6.0-CXf7LknqfgZ2Hfi5jmQpYM base-4.15.1.0
    blaze-html-0.9.1.2-31ygoPjYltcCuwM8VwMzto bytestring-0.10.12.1
    conduit-1.3.4.2-3ize03GpnWc9m0IW4KzDCT containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.7-F1oXUR9JkyK6mLdF9jRMsi
    hspec-expectations-0.8.2-6qi8cjonJ6NDcZGGp2xU9X
    http-api-data-0.4.3-98GiJrtY8J43LgXRSkJFrV
    monad-control-1.0.3.1-HXgR1dot6Y0Bj243jbydIu
    monad-logger-0.3.36-Jujeb9exqsN4iBRLizgEKA mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.1-9zIXtYrP7GbIyWYg7FVugB
    quickcheck-instances-0.3.27-1yP3cHdxCLMIgFQs23dTkK
    random-1.2.1.1-8S22Zn7bY7e7hGShjNjXlP
    resourcet-1.2.5-57cDD5gh8ZkIiqQoFkkzIL text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-Kcee6f9iS9qG7JtjJhujNR
    unliftio-0.2.22.0-G2qP9Kxp5xYEuawgXoLQUJ
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-LWNw197ajNNFytwMBd2fIa

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

